Set up voicemail password; device not compatible with app

My voicemail is asking me for a password, which I never set up. It says I can set up using the Republic Wireless app. When I went to the Play Store to install the app, I got a message that my device (Moto Defy XT) is not compatible with the app.

How can I do this?? I have at least 16 voicemails I cannot get to. PLEASE HELP!

Thank you.

LarryZ

@dr._z

The Defy XT is a discontinued phone but still very actively in use. The support team has to do something to help you so please make One support ticket out and they will help you.

Republic Help

*** ~~ßocephous™***

Message an
Expert customer